import { z } from "zod"
import { AssignmentType } from "@garage/api"

export const departmentFormSchema = z.object({
    name: z.string().min(1, "Name is required").max(50, "Name cannot exceed 50 characters"),
    assignment_type: z.enum(AssignmentType, { error: "Assignment type is required" }),
})

export type DepartmentFormValues = z.infer<typeof departmentFormSchema>